[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
02/02: tests: Skip 'guix-package-net.sh' when prerequisites aren't met.
From: |
Ludovic Courtès |
Subject: |
02/02: tests: Skip 'guix-package-net.sh' when prerequisites aren't met. |
Date: |
Wed, 08 Apr 2015 08:21:11 +0000 |
civodul pushed a commit to branch master
in repository guix.
commit 0b131612d5f0387eb68da4ac49a384c57ca78851
Author: Ludovic Courtès <address@hidden>
Date: Wed Apr 8 10:20:25 2015 +0200
tests: Skip 'guix-package-net.sh' when prerequisites aren't met.
* tests/guix-package-net.sh: Reinstate networking and shebang test that
inadvertently vanished in commit 57b8623.
---
tests/guix-package-net.sh | 8 ++++++++
1 files changed, 8 insertions(+), 0 deletions(-)
diff --git a/tests/guix-package-net.sh b/tests/guix-package-net.sh
index cedfa32..cf3233b 100644
--- a/tests/guix-package-net.sh
+++ b/tests/guix-package-net.sh
@@ -37,6 +37,14 @@ shebang_too_long ()
-ge 128
}
+if ! guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null \
+ || shebang_too_long
+then
+ # Skipping.
+ exit 77
+fi
+
+
profile="t-profile-$$"
rm -f "$profile"